This repository contains a flask webserver application together with GitLab CI/CD jobs for building a Docker image and pushing it to the GitLab container registry. Additionally, it contains manifest files to deploy the application to a Kubernetes cluster.